Qt 5.8 | Qt 3D | QML Types | Buffer QML Type

Qt 5.8.0 Reference Documentation

# Buffer QML Type

Provides a data store for raw data to later be used as vertices or uniforms. More...

Import Statement: | import Qt3D.Render 2.0
Instantiates: | QBuffer

- List of all members, including inherited members

## Properties

- syncData : bool
- type : QBuffer::BufferType
- usage : QBuffer::UsageType

## Detailed Description

## Property Documentation

syncData : bool

Holds the syncData flag. When syncData is true, this will force data created by a Qt3DRender::QBufferDataGenerator to also be updated on the frontend Qt3DRender::QBuffer node. By default syncData is false.

Note: : This has no effect if the buffer's data was set directly using the data property.

type : QBuffer::BufferType

Holds the buffer type.

usage : QBuffer::UsageType

Holds the buffer usage.